# Class ManagerBase.SessionTiming

java.lang.Object
org.apache.catalina.session.ManagerBase.SessionTiming

Enclosing class:
  `ManagerBase`

protected static final class ManagerBase.SessionTiming extends Object

## Constructor Summary

Constructors
Constructor
Description
`SessionTiming(long timestamp, int duration)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDuration()`
Return the duration associated with this piece of timing information in seconds.
`long`
`getTimestamp()`
Return the time stamp associated with this piece of timing information in milliseconds.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SessionTiming

public SessionTiming(long timestamp, int duration)

## Method Details

### getTimestamp

public long getTimestamp()
Return the time stamp associated with this piece of timing information in milliseconds.

Returns:
  Time stamp associated with this piece of timing information in milliseconds

### getDuration

public int getDuration()
Return the duration associated with this piece of timing information in seconds.

Returns:
  Duration associated with this piece of timing information in seconds